Bug 33478 - rpm-4.0.2-6x: rpmb segfaults in librpmio.so
Summary: rpm-4.0.2-6x: rpmb segfaults in librpmio.so
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL: ftp://ftp.cs.cornell.edu/pub/nogin/ca...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 20:43 UTC by Aleksey Nogin
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 16:13:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2001-03-27 20:43:31 UTC
rpm -ba SPECS/camlp4-2.04-rtcg.spec
Segmentation fault (core dumped)
Exit 139

(gdb) bt
#0  0x401251df in grabArgs () from /usr/lib/librpmio.so.0
#1  0x40126346 in expandMacro () from /usr/lib/librpmio.so.0
#2  0x401264ec in expandMacros () from /usr/lib/librpmio.so.0
#3  0x4002a3dd in copyNextLine () from /usr/lib/librpmbuild.so.0
#4  0x4002a7e4 in readLine () from /usr/lib/librpmbuild.so.0
#5  0x40026f6c in parsePreamble () from /usr/lib/librpmbuild.so.0
#6  0x4002b31d in parseSpec () from /usr/lib/librpmbuild.so.0
#7  0x804a772 in strcpy () at ../sysdeps/generic/strcpy.c:30
#8  0x804a85e in strcpy () at ../sysdeps/generic/strcpy.c:30
#9  0x804bff6 in strcpy () at ../sysdeps/generic/strcpy.c:30
#10 0x4016d9cb in __libc_start_main (main=0x804b288 <strcpy+5568>, argc=4,
argv=0xbffffb94,
    init=0x80496b8 <_init>, fini=0x804c11c <_fini>, rtld_fini=0x4000aea0
<_dl_fini>,
    stack_end=0xbffffb8c) at ../sysdeps/generic/libc-start.c:92

The SPEC file used to work with RPM v3. See the URL field (below) for the
location of the SPEC file.

Comment 1 Jeff Johnson 2001-03-28 16:02:06 UTC
Can you verify if this patch fixes you pronlem? Thanks.

--- rpmio/macro.c.orig	2001/01/19 01:38:59	2.64
+++ rpmio/macro.c	2001/03/23 16:18:12	2.53.2.7
@@ -801,7 +801,7 @@
     /* Build argv array */
     argv = (const char **) alloca((argc + 1) * sizeof(char *));
     be[-1] = ' ';	/*  be - 1 == b + strlen(b) == buf + strlen(buf)  */
-    buf[0] = '\0';
+    be[0] = '\0';
     b = buf;
     for (c = 0; c < argc; c++) {
 	argv[c] = b;


Comment 2 Jeff Johnson 2001-03-28 16:13:08 UTC
The patch above fixes use of paramaterized macros for me, is in rpm CVS, will be
in rpm-4.0.3

Please reopen this bug if you problem persists.

Comment 3 Aleksey Nogin 2001-04-22 19:13:03 UTC
After I upgraded to 4.0.3, everyting seems fine. Thanks!


Note You need to log in before you can comment on or make changes to this bug.